# StageLogRegister

Registers a stage name for logging operations in an application code.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT StageLogRegister(StageLog stageLog, const char sname[], int *stage)

Not Collective

### Input Parameter

| stageLog | - The StageLog
| sname | - the name to associate with that stage

### Output Parameter

stage -The stage index

### Keywords

log, stage, register

### See Also

StageLogPush(), StageLogPop(), StageLogCreate()

Level:intermediate
Location: src/sys/plog/utils/stageLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages